import org.netbeans.junit.NbTestSuite;
import org.netbeans.jellytools.JellyTestCase;
import org.netbeans.jellytools.NbDialogOperator;
import org.netbeans.jellytools.RuntimeTabOperator;
import org.netbeans.jellytools.actions.Action;
import org.netbeans.jellytools.actions.PropertiesAction;
import org.netbeans.jellytools.nodes.Node;
import org.netbeans.jellytools.properties.Property;
import org.netbeans.jellytools.properties.PropertySheetOperator;

public class GuiTest extends JellyTestCase {
  public GuiTest(String testName) {
    super(testName);
  }

  public static void main(java.lang.String[] args) {
    junit.textui.TestRunner.run(new NbTestSuite(GuiTest.class));
  }

  public void testPart1() {
    Node rootNode = RuntimeTabOperator.invoke().getRootNode();
    Node debuggerNode = new Node(rootNode, "Debugger");
    new PropertiesAction().perform(debuggerNode);
    PropertySheetOperator pso = new PropertySheetOperator("Debugger");
    Property p = new Property(pso, "Debugger State");
    String state = p.getValue();
    pso.close();
    String expectedState = "not running";
    assertEquals("Debugger in wrong state", expectedState, state);
  }
  public void testPart2() {
    new Action("Help|About", null).perform();
    new NbDialogOperator("About").close();
  }
}
